'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.REPEAT_ERROR = undefined;

var _stringify = require('./stringify');

var _stringify2 = _interopRequireDefault(_stringify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function ({
    isSupported,
    manifestContainerBuilds,
    compareBuilds
}) {
    return function compileRequiredImages(projectId, manifests) {
        return manifests.reduce((accum, manifest) => {
            if (!isSupported(manifest)) {
                return accum;
            }
            manifestContainerBuilds(projectId, manifest).forEach(containerBuild => {
                const { image, build } = containerBuild;
                const exists = accum.filter(c => c.image.fullname === image.fullname)[0];
                if (!exists) {
                    accum.push(containerBuild);
                } else if (!compareBuilds(exists.build.steps, build.steps)) {
                    console.log((0, _stringify2.default)(exists.build), (0, _stringify2.default)(build));
                    throw REPEAT_ERROR;
                }
            });
            return accum;
        }, []);
    };
};

const REPEAT_ERROR = exports.REPEAT_ERROR = 'Repeat container builds must have identical build steps';